Gecode::TraceFilter::TFO::Filter Struct Reference

Filter information. More...

`#include <filter.hpp>`

## Public Attributes

Group | g
| The filter group.
bool | neg
| Whether the filter is negative.
char | what
| One bit set for each operation type.

## Detailed Description

Filter information.

Definition at line 139 of file filter.hpp.

## Member Data Documentation

## g

Group Gecode::TraceFilter::TFO::Filter::g

The filter group.

Definition at line 141 of file filter.hpp.

## neg

bool Gecode::TraceFilter::TFO::Filter::neg

Whether the filter is negative.

Definition at line 143 of file filter.hpp.

## what

char Gecode::TraceFilter::TFO::Filter::what

One bit set for each operation type.

Definition at line 145 of file filter.hpp.

The documentation for this struct was generated from the following file:

- gecode/kernel/trace/filter.hpp